I have a Mac OS X 10.6.8 with Intel Core 2 Duo, do I need snow leopard?

I want to upgrade to Lion but it says I need Snow Leopard. Do I need Snow Leopard if I have a Mac OS X 10.6.8 with Intel Core 2 Duo?

Mac OS X 10.6 Snow Leopard

Back To Product

Follow this Question

3 Answers from the Community

  • Best Answer:

    You already have the most up to date version of Snow Leopard... which is OS 10.6.8. You can upgrade from OS10.6.8.

    "Snow Leopard" is simply Apple's codename for OS 10.6...

    "Lion" is Apple's codename for OS 10.7...

    Was this useful? Answer 1

    12 of 14 people found this useful

  • i do have a mac os x version 10.5.8 processor 2.4 ghz intel core 2 duo memory 2 gb 667m...ddr2 sdram and i can not conect my iphone or tablet to it because i need to upgrade itunes and when i tray it say i need to upgrade to a version 10.6 or newer and my question is snow leopard will work with it

    Was this useful? Answer 2

    0 of 0 people found this useful

  • OS X 10.6.8 is Snow Leopard... OS X 10.7 is Lion... You can even download OS X 10.9 (which is Mavericks) for free... Just go to the APP Store to get it....

    Was this useful? Answer 3

    0 of 1 people found this useful

Related Questions